Summary: X.Org X11 libXcursor runtime library
Name: libXcursor
Version: 1.2.0
Release: 1
License: MIT
Group: System Environment/Libraries
URL: http://www.x.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch

BuildRequires: pkg-config
BuildRequires: xorg-compat-aix
BuildRequires: libXrender-devel >= 0.9.10-1
Requires: libXrender >= 0.9.10-1
%ifos aix6.1 || %ifos aix7.1 || %ifos aix7.2
Requires: AIX-rpm >= 6.1.0.0
%else
Requires: AIX-rpm < 6.1.0.0
%endif

Provides: xcursor

%description
X.Org X11 libXcursor runtime library

The library is available as 32-bit and 64-bit.


%package devel
Summary: X.Org X11 libXcursor development package
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkg-config

%description devel
X.Org X11 libXcursor development package

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc_r -q64" or "gcc -maix64".


%prep
%setup -q


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

# work around strange libtool error, see details at:
# https://www.ibm.com/developerworks/forums/thread.jspa?messageID=14145662
export RM="rm -f"

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="cc_r -q64"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
patch -p0 -s < %{PATCH0}
make %{?_smp_mflags}

cp src/.libs/%{name}.so.1 .
make distclean

# now build the 32-bit version

export CC="cc_r"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
patch -p0 -s < %{PATCH0}
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q src/.libs/%{name}.a ./%{name}.so.1

%ifos aix6.1 || %ifos aix7.1
# add the compatibility shared members for AIX >= 6.1
# (make sure they're set for LOADONLY with 'strip -e')
cp src/.libs/%{name}.so.1 shr.o
/usr/bin/strip -X32 -e shr.o
/usr/bin/ar -X32 -q src/.libs/%{name}.a shr.o
cp %{name}.so.1 shr_64.o
/usr/bin/strip -X64 -e shr_64.o
/usr/bin/ar -X64 -q src/.libs/%{name}.a shr_64.o
%endif


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING README ChangeLog
%{_libdir}/*.a
%ifnos aix6.1 && %ifnos aix7.1
/usr/lib/*.a
%endif


%files devel
%defattr(-,root,system,-)
%dir %{_includedir}/X11/Xcursor
%{_includedir}/X11/Xcursor/Xcursor.h
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/Xcursor*.3*
/usr/lib/*.la


%changelog
* Mon May 27 2019 Michael Perzl <michael@perzl.org> - 1.2.0-1
- updated to version 1.2.0

* Mon May 27 2019 Michael Perzl <michael@perzl.org> - 1.1.15-1
- updated to version 1.1.15

* Thu Aug 22 2013 Michael Perzl <michael@perzl.org> - 1.1.14-1
- updated to version 1.1.14

* Mon Aug 13 2012 Michael Perzl <michael@perzl.org> - 1.1.13-2
- added compatibility shared members for AIX >= 6.1 as starting with AIX 6.1
  AIX has a system version of libXcursor

* Sun Jun 03 2012 Michael Perzl <michael@perzl.org> - 1.1.13-1
- updated to version 1.1.13

* Thu Feb 23 2012 Michael Perzl <michael@perzl.org> - 1.1.12-1
- updated to version 1.1.12

* Wed Nov 03 2010 Michael Perzl <michael@perzl.org> - 1.1.11-1
- updated to version 1.1.11

* Fri Nov 13 2009 Michael Perzl <michael@perzl.org> - 1.1.10-1
- first version for AIX V5.1 and higher
